
function [img_1,img_2]=colorspace_subsample(img,T_color,N_subsample)
%
%function [img_1,img_2]=colorspace_subsample(img,T_color,N_subsample)
%
% Subsample picture in YUV space
%
% img: The input image
% T_color: The colorspace matrix transform. rgb=T_color*yuv
% N_subsample: The number of subsampling (2, 4, ...)
%
% img_1: Subsampled image in uv space only
% img_2: Subsampled image in every channel
%


T_color_inv=inv(T_color);

Nx=size(img,1);
Ny=size(img,2);

img_yuv=colorspace_transform(img,T_color_inv);

img_yuv=img_yuv;

for ks=1:N_subsample
  img_yuv(ks+[1:N_subsample:Nx],:,2)=img_yuv([1:N_subsample:Nx],:,2);
  img_yuv(ks+[1:N_subsample:Nx],:,3)=img_yuv([1:N_subsample:Nx],:,3);
end

img_1=colorspace_transform(img_yuv,T_color);
img_2=img([1:N_subsample:Nx],[1:N_subsample:Ny],:);
